Subject: Re: is gitosis secure?

From: Mike Hommey <[email-masked]>
Date: Mon, 15 Dec 2008 08:17:37 +0100

On Sun, Dec 14, 2008 at 05:00:14PM -0800, [email-masked] wrote:
> 1. if you are running multiple different applications that all want to be 
> exposed via port 22 (like git for 'git push') then you may need to expose 
> numerous machines. tools that use SSH don't tend to have the ability to  
> use a gateway box before they start executing commands, they assume that  
> you will SSH directly into the destination box.

But ssh itself allows you to do proxying. See ProxyCommand in
ssh_config's manpage.

Mike